PUT http:///api/v2/business/{businessId}/advanced
| Parameter name | Value | Description | Additional |
|---|---|---|---|
| businessId | string | Required |
The request body takes a complete NzBusinessAdvancedSettingsModel resource, containing the following writable properties:
{
"allowMultipleTopLevelLocations": "boolean",
"enableClockInClockOutWebhooks": "boolean",
"enableContractorManagement": "boolean",
"enableRSEEmployment": "boolean",
"hasContractorSetup": "boolean",
"otherwiseWorkingDayOccurrences": "int32",
"otherwiseWorkingDayPeriod": "int32",
"publicHolidayAutomationForAutoPayEmployees": "boolean",
"showRSEEmploymentOption": "boolean",
"uniqueExternalIdsForDeductionCategory": "boolean",
"uniqueExternalIdsForEmployee": "boolean",
"uniqueExternalIdsForEmployeeExpenseCategory": "boolean",
"uniqueExternalIdsForEmployerLiabilityCategory": "boolean",
"uniqueExternalIdsForLeaveCategory": "boolean",
"uniqueExternalIdsForLocation": "boolean",
"uniqueExternalIdsForPayCategory": "boolean",
"uniqueExternalIdsForWorkType": "boolean"
}
| Name | Type | Description |
|---|---|---|
| allowMultipleTopLevelLocations | boolean | Boolean |
| enableClockInClockOutWebhooks | boolean | Boolean |
| enableContractorManagement | boolean | Boolean |
| enableRSEEmployment | boolean | Boolean |
| hasContractorSetup | boolean | Boolean |
| otherwiseWorkingDayOccurrences | int32 | Int32 |
| otherwiseWorkingDayPeriod | int32 | Int32 |
| publicHolidayAutomationForAutoPayEmployees | boolean | Boolean |
| showRSEEmploymentOption | boolean | Boolean |
| uniqueExternalIdsForDeductionCategory | boolean | Boolean |
| uniqueExternalIdsForEmployee | boolean | Boolean |
| uniqueExternalIdsForEmployeeExpenseCategory | boolean | Boolean |
| uniqueExternalIdsForEmployerLiabilityCategory | boolean | Boolean |
| uniqueExternalIdsForLeaveCategory | boolean | Boolean |
| uniqueExternalIdsForLocation | boolean | Boolean |
| uniqueExternalIdsForPayCategory | boolean | Boolean |
| uniqueExternalIdsForWorkType | boolean | Boolean |
The following HTTP status codes may be returned, optionally with a response resource.
| Status code | Description | Resource |
|---|---|---|
| 200 | OK OK |
NzBusinessAdvancedSettingsModel |
Powered by DapperDox